Debian Bug report logs - #558910
libcomerr2 doesn't contain symbol required by Heimdal

version graph

Package: comerr-dev; Maintainer for comerr-dev is Theodore Y. Ts'o <tytso@mit.edu>; Source for comerr-dev is src:e2fsprogs.

Reported by: Brian May <bam@snoopy.debian.net>

Date: Mon, 30 Nov 2009 23:42:02 UTC

Severity: normal

Found in version e2fsprogs/1.41.9-1

Fixed in version e2fsprogs/1.41.11-1

Done: tytso@mit.edu (Theodore Y. Ts'o)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tytso@mit.edu (Theodore Y. Ts'o):
Bug#558910; Package comerr-dev. (Mon, 30 Nov 2009 23:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brian May <bam@snoopy.debian.net>:
New Bug report received and forwarded. Copy sent to tytso@mit.edu (Theodore Y. Ts'o). (Mon, 30 Nov 2009 23:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian May <bam@snoopy.debian.net>
To: submit@bugs.debian.org
Subject: libcomerr2 doesn't contain symbol required by Heimdal
Date: Tue, 1 Dec 2009 10:38:13 +1100
Package: comerr-dev
Version: 2.1-1.41.9-1

Hello,

From config.log in Heimdal 1.3.1:

[...]
configure:26203: checking for compile_et
configure:26219: found /usr/bin/compile_et
configure:26230: result: compile_et
configure:26244: checking whether compile_et has the features we need
configure:26276: cc  -o conftest -g -Wall -O2 -I/usr/include/et  -D_LARGE_FILES= -D_FILE_OFFSET_BITS=64  conftest.c -lresolv -pthread -lpthread  >&5
configure:26276: $? = 0
configure:26276: ./conftest
configure:26276: $? = 0
configure:26286: result: yes
configure:26289: checking for if com_err generates a initialize_conf_error_table_r
configure:26306: result: yes
configure:26318: checking for com_err
configure:26336: cc  -o conftest -g -Wall -O2 -I/usr/include/et  -D_LARGE_FILES= -D_FILE_OFFSET_BITS=64  conftest.c -lresolv -pthread -lpthread  -lcom_err >&5
conftest.c: In function 'main':
conftest.c:347: warning: implicit declaration of function 'com_right_r'
/tmp/brian/ccabhaUR.o: In function `main':
/home/brian/tmp/abc/heimdal-1.3.1.dfsg.1/conftest.c:347: undefined reference to `com_right_r'
collect2: ld returned 1 exit status
configure:26336: $? = 1
[...]
configure:26343: result: no
configure:26372: Using our own com_err
configure:26391: checking which authentication modules should be built
configure:26426: result: none
configure:26804: creating ./config.status
[...]

As this check fails, Heimdal wants to build its own version of libcom_err which I want to try and avoid.


This function is referenced in ./lib/krb5/error_string.c:

const char * KRB5_LIB_FUNCTION
krb5_get_error_message(krb5_context context, krb5_error_code code)
{
    char *str;

    HEIMDAL_MUTEX_lock(context->mutex);
    if (context->error_string &&
    (code == context->error_code || context->error_code == 0))
    {
    str = strdup(context->error_string);
    if (str) {
        HEIMDAL_MUTEX_unlock(context->mutex);
        return str;
    }
    }
    HEIMDAL_MUTEX_unlock(context->mutex);

    if (code == 0)
    return strdup("Success");
    {
    const char *msg;
    char buf[128];
    msg = com_right_r(context->et_list, code, buf, sizeof(buf));
    if (msg)
        return strdup(msg);
    }

    if (asprintf(&str, "<unknown error: %d>", (int)code) == -1)
    return NULL;

    return str;
}


Thanks
-- 
Brian May <bam@snoopy.debian.net>




Reply sent to tytso@mit.edu (Theodore Y. Ts'o):
You have taken responsibility. (Tue, 16 Mar 2010 15:42:08 GMT) Full text and rfc822 format available.

Notification sent to Brian May <bam@snoopy.debian.net>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 15:42:08 GMT) Full text and rfc822 format available.

Message #10 received at 558910-close@bugs.debian.org (full text, mbox):

From: tytso@mit.edu (Theodore Y. Ts'o)
To: 558910-close@bugs.debian.org
Subject: Bug#558910: fixed in e2fsprogs 1.41.11-1
Date: Tue, 16 Mar 2010 15:38:54 +0000
Source: e2fsprogs
Source-Version: 1.41.11-1

We believe that the bug you reported is fixed in the latest version of
e2fsprogs, which is due to be installed in the Debian FTP archive:

comerr-dev_2.1-1.41.11-1_i386.deb
  to main/e/e2fsprogs/comerr-dev_2.1-1.41.11-1_i386.deb
e2fsck-static_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fsck-static_1.41.11-1_i386.deb
e2fslibs-dbg_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fslibs-dbg_1.41.11-1_i386.deb
e2fslibs-dev_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fslibs-dev_1.41.11-1_i386.deb
e2fslibs_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fslibs_1.41.11-1_i386.deb
e2fsprogs-dbg_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fsprogs-dbg_1.41.11-1_i386.deb
e2fsprogs-udeb_1.41.11-1_i386.udeb
  to main/e/e2fsprogs/e2fsprogs-udeb_1.41.11-1_i386.udeb
e2fsprogs_1.41.11-1.diff.gz
  to main/e/e2fsprogs/e2fsprogs_1.41.11-1.diff.gz
e2fsprogs_1.41.11-1.dsc
  to main/e/e2fsprogs/e2fsprogs_1.41.11-1.dsc
e2fsprogs_1.41.11-1_i386.deb
  to main/e/e2fsprogs/e2fsprogs_1.41.11-1_i386.deb
e2fsprogs_1.41.11.orig.tar.gz
  to main/e/e2fsprogs/e2fsprogs_1.41.11.orig.tar.gz
libcomerr2-dbg_1.41.11-1_i386.deb
  to main/e/e2fsprogs/libcomerr2-dbg_1.41.11-1_i386.deb
libcomerr2_1.41.11-1_i386.deb
  to main/e/e2fsprogs/libcomerr2_1.41.11-1_i386.deb
libss2-dbg_1.41.11-1_i386.deb
  to main/e/e2fsprogs/libss2-dbg_1.41.11-1_i386.deb
libss2_1.41.11-1_i386.deb
  to main/e/e2fsprogs/libss2_1.41.11-1_i386.deb
ss-dev_2.0-1.41.11-1_i386.deb
  to main/e/e2fsprogs/ss-dev_2.0-1.41.11-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558910@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Theodore Y. Ts'o <tytso@mit.edu> (supplier of updated e2fsprogs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 15 Mar 2010 00:16:35 -0400
Source: e2fsprogs
Binary: e2fsck-static libcomerr2 comerr-dev libss2 ss-dev e2fsprogs-udeb e2fslibs e2fslibs-dev e2fsprogs e2fsprogs-dbg e2fslibs-dbg libcomerr2-dbg libss2-dbg
Architecture: source i386
Version: 1.41.11-1
Distribution: unstable
Urgency: medium
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Changed-By: Theodore Y. Ts'o <tytso@mit.edu>
Description: 
 comerr-dev - common error description library - headers and static libraries
 e2fsck-static - statically-linked version of the ext2/ext3/ext4 filesystem checke
 e2fslibs   - ext2/ext3/ext4 file system libraries
 e2fslibs-dbg - debugging information for e2fslibs
 e2fslibs-dev - ext2/ext3/ext4 file system libraries - headers and static librari
 e2fsprogs  - ext2/ext3/ext4 file system utilities
 e2fsprogs-dbg - debugging information for e2fsprogs
 e2fsprogs-udeb - stripped-down versions of e2fsprogs, for debian-installer (udeb)
 libcomerr2 - common error description library
 libcomerr2-dbg - debugging information for libcomerr2
 libss2     - command-line interface parsing library
 libss2-dbg - debugging information for libss2
 ss-dev     - command-line interface parsing library - headers and static libra
Closes: 558910 564084 572453 573923
Changes: 
 e2fsprogs (1.41.11-1) unstable; urgency=medium
 .
   * New upstream release
   * Add Heimdal function com_right_r() to libcom_err (Closes: #558910)
   * Allow e2fsck to run even if the physical device has more than 2**32 blocks
   * Debugfs's "logdump -b <blk>" now properly shows the allocation status
     of the block <blk>.  (Closes: #564084)
   * Make e2fsck's "the filesystem is mounted" message is now more scary
     to hopefully dissuade users from thinking, "surely that message
     doesn't apply to *me*"  :-(
   * e2fsck -n will now always open the file system read-only.   We now
     disallow certain combination of options which previously were manual
     exceptions; this is bad because it causes users to think they are
     smarter than they really are.   So "-n -c", "-n -l", "-n -L", and
     "-n -D" are no longer supported.
   * If the partition is badly aligned, have mke2fs just print a warning
     message and continue.  Previously mke2fs would ask to confirm, and
     this broke distro installation scripts.
   * Fix a bug in libext2fs caused the creation of very large journals
     for ext4 to be _very_ slow.
   * E2fsck now understands the EOFBLOCKS_FL flag which will be used in
     2.6.34 kernels to make e2fsck not complain about blocks deliberately
     fallocated() beyond an inode's i_size.
   * Fix a bug in e2fsck which could cause e2fsck -D to corrupt
     non-indexed directories.  (Closes: #572453)
   * debian/rules: can be compiled statically with stack protector now.
     (Closes: #573923)
   * Update debian policy compliance to 3.8.4
Checksums-Sha1: 
 baa725eab146edc885171e1e61b9fad6ffbeb738 1356 e2fsprogs_1.41.11-1.dsc
 1cd75560595cff0b7b5ac9da11cfdaa7d0dfd6d9 4472354 e2fsprogs_1.41.11.orig.tar.gz
 7c5a81ad78aea1e80512dac346bf1dbf534669f0 2041 e2fsprogs_1.41.11-1.diff.gz
 3b0294c14c9e77ab45b29347dc801e1806bf8434 447974 e2fsck-static_1.41.11-1_i386.deb
 c30c21f49f7092efeaead77b3d433c567f378113 47680 libcomerr2_1.41.11-1_i386.deb
 7ae3a8659bfc82eaa8b5dbbe1f7216d6a11a7f36 52518 libss2_1.41.11-1_i386.deb
 aeea4c191b24ad275e0a1e2c76d222b4cef1cfb0 138618 e2fslibs_1.41.11-1_i386.deb
 b06d5e5eed8fa10aa4111c5c1d3e43df3bf02158 174078 e2fslibs-dev_1.41.11-1_i386.deb
 f8f88aa67d8b2e386742f357c051e8cec231c196 788070 e2fsprogs_1.41.11-1_i386.deb
 576b9ca38010aa380a3241e7d2b2249d009974ca 815568 e2fsprogs-dbg_1.41.11-1_i386.deb
 b6d09799019ee3b11d41898ff6cf5618732ce7a8 235692 e2fslibs-dbg_1.41.11-1_i386.deb
 d5051b5012013f6ee2d1cfd8b33004733eb9616b 49996 libcomerr2-dbg_1.41.11-1_i386.deb
 ff2f8247e0001c3fb845ab3fe8a96695e1d466cd 58842 libss2-dbg_1.41.11-1_i386.deb
 52de51206bf6ddbbd66c72cb1144146a00d82e99 41946 comerr-dev_2.1-1.41.11-1_i386.deb
 efd714b7c735f96279f163292252a0fe5e036ba1 16898 ss-dev_2.0-1.41.11-1_i386.deb
 46f78fbcf5cc6c0411b599990f2ca81886fe7bcf 210668 e2fsprogs-udeb_1.41.11-1_i386.udeb
Checksums-Sha256: 
 2fb35a6d65865ba6e43afeb695da53debb7bc403b9bf419c9f5547d420936de7 1356 e2fsprogs_1.41.11-1.dsc
 5c9f367f6d5131f90d91dfd2f6c639d5e2c9455cac1f0d8ccc886239c90d775e 4472354 e2fsprogs_1.41.11.orig.tar.gz
 71a465853e10d9d377bf6e59d3ef2cee4d9ce105e1683f0ce39b18cc37da5ee8 2041 e2fsprogs_1.41.11-1.diff.gz
 fa979a16d70b5f8f0a99a93c603c89839edfc2eab27452bb7c24cdf506edf899 447974 e2fsck-static_1.41.11-1_i386.deb
 5df99bb4b506203d6ac832ab30a108781bf165f946425b760c1f8c376ed99699 47680 libcomerr2_1.41.11-1_i386.deb
 5100dbe65fb23282a68aa97a8278391a34094ea384efe1a372c2e1c021283434 52518 libss2_1.41.11-1_i386.deb
 592b092c9bec13f2f4a5cc15ad2af7fb5b0f0cc20beb0071c10652c7aa48e6c3 138618 e2fslibs_1.41.11-1_i386.deb
 9ab326e57da3630349b30dc465e1dc317acdfebfb84211e30d4dc1261dfaf949 174078 e2fslibs-dev_1.41.11-1_i386.deb
 3d5a3ac8dbc036a6d51471265a3311cfc319f0d3d09205ff1b7d2ef4db7198e4 788070 e2fsprogs_1.41.11-1_i386.deb
 3c31a5e5db17f45c64be37e29823aa05cc96ed44b265c79bed69c39d7dd50ef2 815568 e2fsprogs-dbg_1.41.11-1_i386.deb
 2bcfbded510a6217bb82bea35e3924ea64fc364c5aee3bcf258f58c0d7551015 235692 e2fslibs-dbg_1.41.11-1_i386.deb
 e5644461f98e8b27158c0aca3c6105ea94807274d1ca24caa526af4d138882ec 49996 libcomerr2-dbg_1.41.11-1_i386.deb
 89dc7fdfbb6164d755a0d1833153ce05fda8de4bbb84c851d1c0437fa0c5939e 58842 libss2-dbg_1.41.11-1_i386.deb
 8552d9030b64d497cf10da66cb1a9c2f3efe5f9ce278bc9a39d86bed28f132e6 41946 comerr-dev_2.1-1.41.11-1_i386.deb
 01805bc868470da922f631f8e3860dbf8d389b26d646f7be226aa9e3a7e29e2e 16898 ss-dev_2.0-1.41.11-1_i386.deb
 cbdf1bdd0948b84330a2395e308ae43d73bf37fb0b13dc41dc24eb67f6d05cd9 210668 e2fsprogs-udeb_1.41.11-1_i386.udeb
Files: 
 d637f1f22b7bfd0c82ac154d19ca18e9 1356 admin required e2fsprogs_1.41.11-1.dsc
 fb507a40c2706bc38306f150d069e345 4472354 admin required e2fsprogs_1.41.11.orig.tar.gz
 4b5ebd58f039500029fcf1899dd110bd 2041 admin required e2fsprogs_1.41.11-1.diff.gz
 f45da08db027a548b3f1d0be43110bc2 447974 admin optional e2fsck-static_1.41.11-1_i386.deb
 db0fbc521ffba017ab4d8adb96718504 47680 libs required libcomerr2_1.41.11-1_i386.deb
 1be1eb46d69451ca4956b92edabbc07a 52518 libs required libss2_1.41.11-1_i386.deb
 750cac39753c58233501d8df3273d11a 138618 libs required e2fslibs_1.41.11-1_i386.deb
 009984f38e8599fc76be63548f89f52d 174078 libdevel extra e2fslibs-dev_1.41.11-1_i386.deb
 0f7efcc5d18c8a4c288a08315ae20dea 788070 admin required e2fsprogs_1.41.11-1_i386.deb
 a1dfc42e6db452514a0b9928a7f2660b 815568 debug extra e2fsprogs-dbg_1.41.11-1_i386.deb
 7e1759f881d434ab59b3721542836625 235692 debug extra e2fslibs-dbg_1.41.11-1_i386.deb
 0d5c5e6e8857fa90c6a61a7f263654ac 49996 debug extra libcomerr2-dbg_1.41.11-1_i386.deb
 3a87e08aee8f61cc2dd45d398f690964 58842 debug extra libss2-dbg_1.41.11-1_i386.deb
 05dbb15943b570e56c3b3454d72ae093 41946 libdevel extra comerr-dev_2.1-1.41.11-1_i386.deb
 42742baea53626fb696be8a7b5b099d2 16898 libdevel extra ss-dev_2.0-1.41.11-1_i386.deb
 8d957e2bba70f8de9037408f3a6109fe 210668 debian-installer optional e2fsprogs-udeb_1.41.11-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudxAMACgkQ7To545NnTED8MACgi6gFPIapA8fB9u3YcUl35kRQ
uxAAniQcmH/J6xYbZikV/TKwolejeHcJ
=aGfv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Apr 2010 07:31:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:48:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.